OpenShot Audio Library | OpenShotAudio: juce::dsp::Limiter< SampleType > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.6.0

Loading...
Searching...
No Matches
juce::dsp::Limiter< SampleType > Class Template Reference

`#include <juce_Limiter.h>`

## Public Member Functions
| Limiter ()=default
void | setThreshold (SampleType newThreshold)
void | setRelease (SampleType newRelease)
void | prepare (const ProcessSpec &spec)
void | reset ()
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept

## Detailed Description

template<typename SampleType>
class juce::dsp::Limiter< SampleType >

A simple limiter with standard threshold and release time controls, featuring two compressors and a hard clipper at 0 dB.

Definition at line 36 of file juce_Limiter.h.

## Constructor & Destructor Documentation

## ◆ Limiter()

template<typename SampleType>

juce::dsp::Limiter< SampleType >::Limiter | ( |  | ) |
| default

Constructor.

## Member Function Documentation

## ◆ prepare()

template<typename SampleType>

void juce::dsp::Limiter< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the processor.

Definition at line 46 of file juce_Limiter.cpp.

## ◆ process()

template<typename SampleType>
template<typename ProcessContext>

void juce::dsp::Limiter< SampleType >::process | ( | const ProcessContext & | context | ) |
| inlinenoexcept

Processes the input and output samples supplied in the processing context.

Definition at line 60 of file juce_Limiter.h.

## ◆ reset()

template<typename SampleType>

void juce::dsp::Limiter< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the processor.

Definition at line 61 of file juce_Limiter.cpp.

Referenced by prepare().

## ◆ setRelease()

template<typename SampleType>

void juce::dsp::Limiter< SampleType >::setRelease | ( | SampleType | newRelease | ) |

Sets the release time in milliseconds of the limiter.

Definition at line 38 of file juce_Limiter.cpp.

## ◆ setThreshold()

template<typename SampleType>

void juce::dsp::Limiter< SampleType >::setThreshold | ( | SampleType | newThreshold | ) |

Sets the threshold in dB of the limiter.

Definition at line 31 of file juce_Limiter.cpp.

The documentation for this class was generated from the following files:

- juce_Limiter.h
- juce_Limiter.cpp